---
author: trusted.firmware
title: MBed TLS open Tech Forum regular call
date: 2021-12-20 08:00:00
categories:
  - Meetings
layout: post
image: /assets/images/blog/Workshop.png
---
## MBed TLS Technical Forum

This is an open forum conference call for anyone to participate. It is not restricted to TF members. It will operate under the guidance of the TF TSC. Invites and other traffic are via the TF-M mailing list. Attendees are welcome to propose agenda items.

Due to expected attendees from Asia, Europe and the Americas, the timeslot is challenging. We hope it's not too difficult for anyone - we continue to review the scheduling. We are approximately alternating between an Asia timezone and a US timezone call. Anyone is welcome to join either (or both) calls.

### Upcoming tech forums - see the [Trusted Firmware Public Calendar](https://www.trustedfirmware.org/meetings/)
  **To receive an invite, please join the MBed TLS mailing list by [subcribing here](https://lists.trustedfirmware.org/mailman3/lists/mbed-tls.lists.trustedfirmware.org/)**

### Recording and slides of previous meetings
* **Date**: Mar 28,2022
  * Agenda:
    * **Current activities** update - [presentation here](/docs/Mbed-TLS-TechForum_2022-03-28.pdf)
  * [Video recording](https://linaro-org.zoom.us/rec/share/ya94QIxFEKOcGvx0QS-B0rp4wpFCnj9RwDs9_A0DGUWKHRhVyrVg9f0qsqXZWFDn.GRjE2IRBQYDY4HKn) Passcode: kaw=50^b
<br/>

* **Date**: Mar 14,2022
  * Agenda:
    * **Current activities** update - [presentation here](/docs/Mbed-TLS-TechForum2022-03-14.pdf)
  * [Video recording](https://linaro-org.zoom.us/rec/share/gplpclIn99VtWMBLb5o7l9ChPgs80Ov4UF3QILX0SPTc_ckFGALr6D4NZFoHPgX2.c96A7LwH9bIjVVvq) Passcode: fe8W$6xj  
<br/>

* **Date**: Feb 28, 2022
  * Agenda: 
    * **Current activities** update - [presentation here](/docs/Mbed-TLS-TechForum-2022-02-28.pdf)  
  * [Video recording](https://linaro-org.zoom.us/rec/share/IGGHiWgBMrMZM2HX8gYgI53BrcPde7pUX1nS6grOXH2u7fCuTZ4kgT2td3r1Q8qM.7FpyjUY5J8fydaht) Passcode: h#z6MB0!
<br/>

* * **Date**: January 31, 2022
   * Agenda:
      * **Discuss [Driver Specification for Key Derivation draft](https://github.com/ARMmbed/mbedtls/pull/5451)**
      * **[Use of PSA for hashing beyond X.509](https://github.com/ARMmbed/mbedtls/issues/5157)**
   * [Video recording](https://linaro-org.zoom.us/rec/share/AOGtj4qe-lA7i8BOfC71XEPLhHh7lNBgmQoD5HhfSrrccApYN-ZSajy2ULusMzfG.YmhGOvIqGdkw3vik) Passcode: hS2^=v8P
<br/>

* **Date**: January 17, 2022
   * Agenda:
      * **Getting started with MBed TLS**
      * **[Roadmap](https://developer.trustedfirmware.org/w/mbed-tls/roadmap/) update FYI**
   * [Video recording](https://linaro-org.zoom.us/rec/share/KG4Ij1mxPWsTeUPvuRVM45vRNlslxn_qCvSE8A-kkrHXZl4eHecqj3sAPy4ACkGu.982B8s2NLnNrY8H0) Passcode: wfshL#40
<br/>

* **Date**: December 20, 2021
   * Agenda:
      * **PSA Usage and roadmap**
   * [Video recording](https://linaro-org.zoom.us/rec/share/c4I4aBmN1Eth-YAq-csnt-OSWBcsGgunP-_AEKT2W8y7WbnBNrzRs6rsAPNaCy-F.mHjLEKS6ejG2PFcJ) Passcode: G&T$H2S%
<br/>

* **Date**: October 25, 2021
   * Agenda:
      * **TLS 1.3 – plans and progress**
      * **Driver interface code-gen** 
   * [Presentation here](/docs/MbedTLS_Tech_Forum_2021-10-25.pdf)
   * [Video recording](https://armltd.zoom.us/rec/share/yRBD0sDAl-XRqikyiwFrMg0jQc6JNscdC8xT2CTYvLliEk4AI7ll2wtcejl7aCyX.ZN5lOUJtT3-FtlF3) Passcode: KgM1T=qR
<br/>


